Subject: Re: pthead_kill() causes SIGSEGV with cygwin.DLL 1.5.9-1
From: Christopher Faylor <[email-masked]>
To: ??????? ???????? <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Apr 2004 16:36:13 -0400

On Mon, Apr 12, 2004 at 05:55:24PM +0400, "??????? ????????"  wrote:
>Hello !
>After upgrade to latest CygWin (CygWin.dll 1.5.9-1) application started
>to crash with SIGSEGV on first pthread_kill() call.  Rollback to
>CygWin.dll 1.5.7-1 resolved this issue (did not try 1.5.8-1 though).
>Here is very simple program that causes SIGSEGV with 1.5.9-1:
>
>#include <stdio.h>
>#include <pthread.h>
>
>static void *_blah(void *arg) 
>{
>   sleep(5);
>};
>
>void main()
>{pthread_t my=pthread_self();
> pthread_t blah;
>  if (pthread_create(&blah, NULL, _blah, NULL)!=0)
>     perror("CREATE");
>  if (pthread_kill(blah,SIGHUP)!=0)
>     perror("KILL");
>  printf("YUP\n");
>  getchar();
>};

This is a problem that I introduced.  I'm not sure how cygwin even
passed its test suite with this problem.

I'll check in a fix within the next day or so.

cgf

P.S. You'll have an easier time getting by the spam filter if you don't
use questionable language in your email.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/